<?php
	if ( ! class_exists( 'Redux' ) ) {
        return;
    }

	//setting up theme options name
    $opt_name = "opus_options";

    $theme = wp_get_theme();

	//declaring theme options arguments
    $args = array(
        'opt_name'             => $opt_name,
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => true,
        'menu_title'           => esc_html__( 'Theme Options', 'opusfashion' ),
        'page_title'           => esc_html__( 'Theme Options', 'opusfashion' ),
        'admin_bar'            => false,
        'global_variable'      => '',
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => '',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'show_options_object'  => false,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        'settings_api' 		   => TRUE,
        'compiler' 			   => TRUE,
        'global_variable' 	   => 'opus_options',
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
		'footer_credit'     => ''
        )
    );

	//setting up theme options arguments
	Redux::setArgs( $opt_name, $args );

 	//setting up theme options sections 
   	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'General', 'opusfashion' ),
        'id'               => 'opus-general',
        'icon'             => 'el el-home'
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Site Options', 'opusfashion' ),
        'id'         => 'opus-colors-main',
        'subsection' => true,
        'icon'       => 'el el-brush',
       	'fields'     => array(
            array(
                'id'       		=> 'opus-primary-color',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Primary Color', 'opusfashion' ),
                'validate' 		=> 'color',
				'default'  		=> '#cfa670',
                'subtitle' 		=> esc_html__( 'This is your theme main color.', 'opusfashion' ),
	            'output'    	=> array(
					'background-color' 		=> '.search-secion .search-container .searchform:before, .header .mbl-nav-btn .navbar-header button.navbar-toggle .icon-bar, .content-section .post-content-container .post-spotlight-content > a, .header .gns .menu > li.menu-item-has-children:hover ul li a:hover, .top-header',
					'color' 				=> 'a, a:hover, .link-color, .header .gns .menu > li > a:hover, .header .gns .menu > li.current-menu-parent > a, .header .gns .menu > li.current-menu-item > a, .search-secion .close-search a:hover, .content-section .pagination .nav-links .page-numbers, .content-section .pagination .nav-links .page-numbers.next:after, .content-section .pagination .nav-links .page-numbers.prev:after, .content-section .comments-pagination.navigation .nav-links .page-numbers, .post-navigation .nav-links .nav-previous a, .post-navigation .nav-links .nav-next a, .post-comments-container .comment-list > li article .reply a, .widget.widget_calendar .calendar_wrap table tfoot tr td a, .header .search-button .search-icon, .header .search-button .search-icon, input[type="submit"], .wpcf7 form .wpcf7-submit',
					'border-color' 				=> '.content-section .post-content-container .post-spotlight-content > a, .content-section .pagination .nav-links .page-numbers, .post-navigation .nav-links .nav-previous a, .post-navigation .nav-links .nav-next a, .post-comments-container .comments-area form input, .post-comments-container .comments-area form textarea,.content-section .comments-pagination.navigation .nav-links .page-numbers, .post-comments-container .comment-list > li article .reply a, .wpcf7 form label .wpcf7-form-control-wrap input, .wpcf7 form label .wpcf7-form-control-wrap select, .wpcf7 form label .wpcf7-form-control-wrap input[type="checkbox"], .wpcf7 form label .wpcf7-form-control-wrap .wpcf7-checkbox input[type="checkbox"], .wpcf7 form label .wpcf7-form-control-wrap .wpcf7-radio input[type="radio"], .wpcf7 form label .wpcf7-form-control-wrap textarea, .header .mbl-nav-btn .navbar-header button.navbar-toggle,.page-links a, input[type="date"], input[type="time"], input[type="datetime-local"], input[type="week"], input[type="month"],  input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"],  input[type="tel"], input[type="number"], textarea, input[type="submit"], .wpcf7 form .wpcf7-submit, .widget, .contact-information ul.social-icons li a'),
				'compiler' 		=> array(
					'background-color' 		=> '.search-secion .search-container .searchform:before, .header .mbl-nav-btn .navbar-header button.navbar-toggle .icon-bar, .content-section .post-content-container .post-spotlight-content > a, .header .gns .menu > li.menu-item-has-children:hover ul li a:hover, .top-header',
					'color' 				=> 'a, a:hover, .link-color, .header .gns .menu > li > a:hover, .header .gns .menu > li.current-menu-parent > a, .header .gns .menu > li.current-menu-item > a, .search-secion .close-search a:hover, .content-section .pagination .nav-links .page-numbers, .content-section .pagination .nav-links .page-numbers.next:after, .content-section .pagination .nav-links .page-numbers.prev:after, .content-section .comments-pagination.navigation .nav-links .page-numbers, .post-navigation .nav-links .nav-previous a, .post-navigation .nav-links .nav-next a, .post-comments-container .comment-list > li article .reply a, .widget.widget_calendar .calendar_wrap table tfoot tr td a, .header .search-button .search-icon, .header .search-button .search-icon, input[type="submit"], .wpcf7 form .wpcf7-submit',
					'border-color' 				=> '.content-section .post-content-container .post-spotlight-content > a, .content-section .pagination .nav-links .page-numbers, .post-navigation .nav-links .nav-previous a, .post-navigation .nav-links .nav-next a, .post-comments-container .comments-area form input, .post-comments-container .comments-area form textarea,.content-section .comments-pagination.navigation .nav-links .page-numbers, .post-comments-container .comment-list > li article .reply a, .wpcf7 form label .wpcf7-form-control-wrap input, .wpcf7 form label .wpcf7-form-control-wrap select, .wpcf7 form label .wpcf7-form-control-wrap input[type="checkbox"], .wpcf7 form label .wpcf7-form-control-wrap .wpcf7-checkbox input[type="checkbox"], .wpcf7 form label .wpcf7-form-control-wrap .wpcf7-radio input[type="radio"], .wpcf7 form label .wpcf7-form-control-wrap textarea, .header .mbl-nav-btn .navbar-header button.navbar-toggle,.page-links a, input[type="date"], input[type="time"], input[type="datetime-local"], input[type="week"], input[type="month"],  input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"],  input[type="tel"], input[type="number"], textarea, input[type="submit"], .wpcf7 form .wpcf7-submit, .widget, .contact-information ul.social-icons li a'),
            	),
				array(
					'id'       		=> 'opus-slider-status',
					'type'     		=> 'switch', 
					'title'    		=> esc_html__('Homepage Slider', 'opusfashion'),
					'subtitle' 		=> esc_html__('Select ON to enable Homepage Slider', 'opusfashion'),
					'default'  		=> true,
				),
				array(
					'id'       		=> 'opus-preload-status',
					'type'     		=> 'switch', 
					'title'    		=> esc_html__('Preload Icon', 'opusfashion'),
					'subtitle' 		=> esc_html__('Select ON to enable preload icon', 'opusfashion'),
					'default'  		=> true,
				)
            ),
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Layout', 'opusfashion' ),
        'id'         => 'opus-layouts',
        'subsection' => true,
        'icon'       => 'el el-list',
       	'fields'     => array(
			array(
				'id'       => 'opus-page-layout',
				'type'     => 'select',
				'title'    => esc_html__('Default Page Layout', 'opusfashion'), 
				'subtitle'     => esc_html__('Select Default Page Layout.', 'opusfashion'),
				'options'  => array(
					'full-width' 	=> 'Full Width',
					'with-sidebar'  => 'With Sidebar',
				),
				'default'  => 'with-sidebar',
			),
			array(
				'id'       => 'opus-post-layout',
				'type'     => 'select',
				'title'    => esc_html__('Default Blog Layout', 'opusfashion'), 
				'subtitle'     => esc_html__('Select Default Blog Post Layout.', 'opusfashion'),
				'options'  => array(
					'full-width' 	=> 'Full Width',
					'with-sidebar'  => 'With Sidebar',
				),
				'default'  => 'with-sidebar',
			),
			array(
				'id'       => 'opus-blog-listing-layout',
				'type'     => 'select',
				'title'    => esc_html__('Default Blog Listing Layout', 'opusfashion'), 
				'subtitle'     => esc_html__('Select Default Blog List Type.', 'opusfashion'),
				'options'  => array(
					'grid'  	=> 'Grid Layout',
					'list' 	=> 'List Layout'
				),
				'default'  => 'list',
			),
		)
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Header', 'opusfashion' ),
        'id'               => 'opus-header',
        'icon'             => 'el el-screen',
       	'fields'     => array(
            array(
                'id'       => 'opus-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'opusfashion' ),
                'compiler' => 'true',
                'subtitle'     => esc_html__( 'Upload Site Logo.', 'opusfashion' ),
				'default'  => array(
        			'url'=>'http://wpmupro.com/demo/opusfashion/wp-content/uploads/logo.png'
    			),
            ),
			array(
				'id'       => 'opus-topbar-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Top Header bar', 'opusfashion'),
				'subtitle' => esc_html__('Select ON to enable Top Header Bar', 'opusfashion'),
				'default'  => true,
			),
			array(
				'id'       => 'opus-search-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Search Icon', 'opusfashion'),
				'subtitle' => esc_html__('Select ON to enable search icon in the main menu', 'opusfashion'),
				'default'  => true,
			)
		)
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Typography', 'opusfashion' ),
        'id'               => 'opus-typography',
        'icon'             => 'el el-font',
       	'fields'     => array(
			array(
				'id'          		=> 'opus-body',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('Body', 'opusfashion'), 
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'text-transform' 	=> true,
				'line-height' 		=> false,
				'color' 			=> false,
				'output'      		=> array('.nav-menu > li > a, .nav-menu > ul > li > a'),
				'units'       		=>'px',
				'default'     		=> array(
					'font-size'   	=> '14px',
					'font-family' 	=> 'Montserrat',
				),
				'output' => array (
					'font-family' 		=> 'body',
					'font-size' 		=> 'body'
				)
			),
			array(
				'id'          		=> 'opus-headings',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('Headings', 'opusfashion'), 
				'subtitle' 			=> esc_html__('For more heading typographic options navigate to Headings submenu under Typography.', 'opusfashion'),
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'text-transform' 	=> true,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> false,
				'default'     		=> array(
					'font-family' 	=> 'Poppins',
				),
				'output'      		=> array( "h1, h2, h3, h4, h5, h6" ),
				'compiler'      	=> array( "h1, h2, h3, h4, h5, h6" ),
			),
		)
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Headings Color', 'opusfashion' ),
        'id'         => 'opus-headings-font',
        'subsection' => true,
        'icon'       => 'el el-fontsize',
       	'fields'     => array(
			array(
				'id'          		=> 'opus-h1-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H1 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h1, h1 a'
				),
				'compiler'      	=> array(
					'color'			=>'h1, h1 a'
				),
			),
			array(
				'id'          		=> 'opus-h2-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H2 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h2, h2 a'
				),
				'compiler'      	=> array(
					'color'			=>'h2, h2 a'
				),
			),
			array(
				'id'          		=> 'opus-h3-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H3 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h3, h3 a'
				),
				'compiler'      	=> array(
					'color'			=>'h3, h3 a'
				),
			),
			array(
				'id'          		=> 'opus-h4-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H4 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h4, h4 a'
				),
				'compiler'      	=> array(
					'color'			=>'h4, h4 a'
				),
			),
			array(
				'id'          		=> 'opus-h5-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H5 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h5, h5 a'
				),
				'compiler'      	=> array(
					'color'			=>'h5, h5 a'
				),
			),
			array(
				'id'          		=> 'opus-h6-font',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('H6 Color', 'opusfashion'), 
				'font-family' 		=> false,
				'font-backup' 		=> false,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'font-weight'		=> false,
				'font-style'		=> false,
				'text-transform' 	=> false,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> true,
				'default'     		=> array(
					'color'   	=> '#585858',
				),
				'output'      		=> array(
					'color'			=>'h6, h6 a'
				),
				'compiler'      	=> array(
					'color'			=>'h6, h6 a'
				),
			),
        )
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Contact', 'opusfashion' ),
        'id'               => 'opus-contact',
        'icon'             => 'el el-envelope',
       	'fields'     => array(
			array(
				'id'       => 'opus-phone',
				'type'     => 'text',
				'title'    => esc_html__('Phone Number', 'opusfashion'),
				'default'  => '123-456-7890'
			),
			array(
				'id'       => 'opus-email',
				'type'     => 'text',
				'title'    => esc_html__('Email Address', 'opusfashion'),
				'default'  => 'info@opusfashion.com',
				'validate' => 'email'
			),
			array(
				'id'       => 'opus-address',
				'type'     => 'textarea',
				'title'    => esc_html__('Address', 'opusfashion'),
				'default'  => ''
			)
		)
    ) );

	Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Social', 'opusfashion' ),
        'id'               => 'opus-social',
        'icon'             => 'el el-facebook',
       	'fields'     => array(
			array(
				'id'       => 'opus-facebook',
				'type'     => 'text',
				'title'    => esc_html__('Facebook', 'opusfashion'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-twitter',
				'type'     => 'text',
				'title'    => esc_html__('Twitter', 'opusfashion'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-linkedin',
				'type'     => 'text',
				'title'    => esc_html__('Linked In', 'opusfashion'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-youtube',
				'type'     => 'text',
				'title'    => esc_html__('Youtube', 'opusfashion'),
				'default'  => '#'
			),
		)
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Footer', 'opusfashion' ),
        'id'               => 'opus-footer',
        'icon'             => 'el el-arrow-down',
       	'fields'     => array(
			array(
				'id'       => 'opus-footer-widgets',
				'type'     => 'select',
				'title'    => esc_html__('No. of Widget Columns', 'opusfashion'), 
				'subtitle'     => esc_html__('Select the number of widget columns.', 'opusfashion'),
				'options'  => array(
					'1' 	=> 'One',
					'2'  	=> 'Two',
					'3' 	=> 'Three',
					'4' 	=> 'Four'
				),
				'default'  => '3',
			),
			array(
				'id' => 'opus-footer-widget-1-columns',
				'type'     => 'select',
				'title' => esc_html__('Footer Widget 1 Columns', 'opusfashion'),
				'subtitle' => esc_html__('No. of columns for Footer Widget 1', 'opusfashion'),
				'options'  => array(
					'col-md-1' 		=> '1 Column (1/12)',
					'col-md-2' 		=> '2 Column (1/6)',
					'col-lg-3 col-md-6'	=> '3 Column (1/4)',
					'col-md-4' 		=> '4 Column (1/3)',
					'col-md-5' 		=> '5 Column (5/12)',
					'col-md-6' 		=> '6 Column (1/2)',
					'col-md-7' 		=> '7 Column (7/12)',
					'col-md-8' 		=> '8 Column (2/3)',
					'col-md-9' 		=> '9 Column (3/4)',
					'col-md-10' 	=> '10 Column (5/6)',
					'col-md-11' 	=> '11 Column (11/12)',
					'col-md-12' 	=> '12 Column (1/1)',
				),
				'default'  => 'col-md-4',
				'required' => array('opus-footer-widgets','>','0'),
			),
			array(
				'id' => 'opus-footer-widget-2-columns',
				'type'     => 'select',
				'title' => esc_html__('Footer Widget 2 Columns', 'opusfashion'),
				'subtitle' => esc_html__('No. of columns for Footer Widget 2', 'opusfashion'),
				'options'  => array(
					'col-md-1' 		=> '1 Column (1/12)',
					'col-md-2' 		=> '2 Column (1/6)',
					'col-lg-3 col-md-6'	=> '3 Column (1/4)',
					'col-md-4' 		=> '4 Column (1/3)',
					'col-md-5' 		=> '5 Column (5/12)',
					'col-md-6' 		=> '6 Column (1/2)',
					'col-md-7' 		=> '7 Column (7/12)',
					'col-md-8' 		=> '8 Column (2/3)',
					'col-md-9' 		=> '9 Column (3/4)',
					'col-md-10' 	=> '10 Column (5/6)',
					'col-md-11' 	=> '11 Column (11/12)',
					'col-md-12' 	=> '12 Column (1/1)',
				),
				'default'  => 'col-md-4',
				'required' => array('opus-footer-widgets','>','1'),
			),
			array(
				'id' => 'opus-footer-widget-3-columns',
				'type'     => 'select',
				'title' => esc_html__('Footer Widget 3 Columns', 'opusfashion'),
				'subtitle' => esc_html__('No. of columns for Footer Widget 3', 'opusfashion'),
				'options'  => array(
					'col-md-1' 		=> '1 Column (1/12)',
					'col-md-2' 		=> '2 Column (1/6)',
					'col-lg-3 col-md-6'	=> '3 Column (1/4)',
					'col-md-4' 		=> '4 Column (1/3)',
					'col-md-5' 		=> '5 Column (5/12)',
					'col-md-6' 		=> '6 Column (1/2)',
					'col-md-7' 		=> '7 Column (7/12)',
					'col-md-8' 		=> '8 Column (2/3)',
					'col-md-9' 		=> '9 Column (3/4)',
					'col-md-10' 	=> '10 Column (5/6)',
					'col-md-11' 	=> '11 Column (11/12)',
					'col-md-12' 	=> '12 Column (1/1)',
				),
				'default'  => 'col-md-4',
				'required' => array('opus-footer-widgets','>','2'),
			),
			array(
				'id' => 'opus-footer-widget-4-columns',
				'type'     => 'select',
				'title' => esc_html__('Footer Widget 4 Columns', 'opusfashion'),
				'subtitle' => esc_html__('No. of columns for Footer Widget 4', 'opusfashion'),
				'options'  => array(
					'col-md-1' 			=> '1 Column (1/12)',
					'col-md-2' 			=> '2 Column (1/6)',
					'col-lg-3 col-md-6'	=> '3 Column (1/4)',
					'col-md-4' 		=> '4 Column (1/3)',
					'col-md-5' 		=> '5 Column (5/12)',
					'col-md-6' 		=> '6 Column (1/2)',
					'col-md-7' 		=> '7 Column (7/12)',
					'col-md-8' 		=> '8 Column (2/3)',
					'col-md-9' 		=> '9 Column (3/4)',
					'col-md-10' 	=> '10 Column (5/6)',
					'col-md-11' 	=> '11 Column (11/12)',
					'col-md-12' 	=> '12 Column (1/1)',
				),
				'default'  => 'col-md-3',
				'required' => array('opus-footer-widgets','>','3'),
			),
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'            => esc_html__( 'Copyrights', 'opusfashion' ),
        'id'               => 'opus-copyrights',
        'icon'             => 'el el-pencil',
       	'fields'     => array(
			array(
				'id'       => 'opus-copyrights-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Enable Copyright Section', 'opusfashion'),
				'subtitle' => esc_html__('Select ON to enable copyrights section', 'opusfashion'),
				'default'  => true,
			),
			array(
				'id'       => 'opus-copyrights-text',
				'type'     => 'text',
				'title'    => esc_html__('Copyrights Text', 'opusfashion'),
				'subtitle' => esc_html__('This will display under the footer.', 'opusfashion'),
				'default'  => '&copy; 2017 opusfashion',
				'required' => array('opus-copyrights-status','=','1'),
			),
        )
    ) );