<?php 
/**
 * The template for displaying archive list of all post types.
 *
 * Used as a fall back for post categories, post tags etc.
 *
 * @package WordPress
 * @subpackage opusfashion 1.0.0
 */
get_header()?>
<?php 
$blog_listing_layout = opus_get_blog_listing_layout();	?>
<div class="container-fluid content-section">
  <div class="row">
	<header class="title-container col-md-12">
	<?php
		//get archive title whether it is a category, tag or media etc
		the_archive_title( '<h2 class="main-title">', '</h2>' );
	?>
	</header>
    <div class="container">
      <div class="row">
         <div class="<?php opus_layout_class("post"); ?> margin-65">
	      <div class="row">
			<?php if ( have_posts() ) :
			  $postCount = 1; ?>
			<!--Content section starts here-->
			<?php
			while ( have_posts() ) : the_post();?>
			<?php 
				if (is_sticky() && !is_paged()){
					//get template if post is a sticky post
					get_template_part( 'template-parts/post/' . opus_get_blog_listing_layout() . '/content', 'sticky' );
				} else {
					if ($postCount == 1 && !is_paged()){
						//get template according to the post format
						get_template_part( 'template-parts/post/' . opus_get_blog_listing_layout() . '/content-main', get_post_format() );								
					} else {
						//get template according to the post format
						get_template_part( 'template-parts/post/' . opus_get_blog_listing_layout() . '/content', get_post_format() );								
					}
				}
				$postCount++;
			endwhile; ?>
			<?php 
	    	  //display post navigation links
			  the_posts_pagination( array(
					'prev_text'          => __( 'Previous', 'opusfashion' ),
					'next_text'          => __( 'Next', 'opusfashion' )
				) ); ?>
			<?php else :
		    	//get template if no posts found matching the query
				get_template_part( 'template-parts/post/' . opus_get_blog_listing_layout() . '/content', 'none' ); ?>
			<?php endif; ?>
       	</div>
       </div>
       <?php 		  
		  //get sidebar if enabled from theme options
		  if (opus_layout("post") == "with-sidebar"){
			get_sidebar(); 	  
		  }
 		?>
     </div>
    </div>
  </div>
</div>
<?php get_footer();?>