<?php
/**
 * The blog post comments template.
 *
 * @package WordPress
 * @subpackage opusfashion 1.0.0
 */
if ( post_password_required() ) {
	return;
}
?>
<div id="comments" class="comments-area">
	<?php if ( have_comments() ) : ?>
		<h3 class="comments-title">
			<?php
				//comments heading
				printf( _nx( 'One comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'opusfashion' ),
					number_format_i18n( get_comments_number() ), get_the_title() );
			?>
		</h3>
		<ul class="comment-list">
			<?php
				//comments list
				wp_list_comments( array(
					'style'       => 'ul',
					'short_ping'  => true,
					'avatar_size' => 56,
				) );
			?>
		</ul>
		<?php
			//comments pagination links
			the_comments_pagination( array(
			'prev_text' => "Prev",
			'next_text' => "Next",
		) );
		?>
	<?php endif; ?>
	<?php
		//check if comments are disabled.
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'opusfashion' ); ?></p>
	<?php endif; ?>
	<?php 
		//get comments form
		comment_form(); ?>
</div>