<?php
/**
 * The template for header.
 *
 * @package WordPress
 * @subpackage opusfashion 1.0.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php 
//gathering all header options
$theme_options = opus_get_options();
$search_status = $theme_options['opus-search-status'];
$preload_status = $theme_options['opus-preload-status'];
if ($preload_status){ ?>
	<!--Preload section starts here-->
	<div class="preload">
	  <div class="spinner">
		<div class="rect1"></div>
		<div class="rect2"></div>
		<div class="rect3"></div>
		<div class="rect4"></div>
		<div class="rect5"></div>
	  </div>
	</div>
	<!--Preload section ends here--> 
<?php } ?>
<?php if ($search_status == 1){?>
<!--Search section starts here-->
<div class="search-secion">
  <div class="close-search font-40 text-right"><a href="#" class="color-white"><i class="fa fa-close"></i></a></div>
  <div class="search-container">
    <?php get_search_form();?>
  </div>
</div>
<!--Search section ends here-->
<?php } ?>
<!--Header section starts here-->
<header class="header">
  <?php echo opus_top_header(); ?>
    <div class="bottom-header">
    <div class="container">
        <div class="row">
            <div class="col-xs-6 col-md-2">
                <div class="brand">
                    <?php if ("" !== $theme_options['opus-logo']['url']){ ?>
                        <h1><a href="<?php echo site_url(); ?>"><img src="<?php echo esc_url($theme_options['opus-logo']['url']); ?>" alt="logo" class="img-responsive" /></a></h1>
                    <?php } else { ?>
                        <h1 class="site-title"><a href="<?php echo site_url(); ?>"><?php echo bloginfo(); ?></a></h1>
                    <?php } ?>
                </div>
            </div>
            <div class="col-xs-6 col-sm-6 text-right hidden-md hidden-lg">
               <?php if ($search_status == 1){?>
                <div class="search-button">
                    <a href="#" class="search-icon"><i class="fa fa-search" aria-hidden="true"></i></a>
                </div>
            	<?php } ?>
                <nav class="navbar navbar-default  mbl-nav-btn">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#main-menu-dropdown" aria-expanded="false"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
                    </div>
                </nav>
            </div>
            <div class="col-md-9 gns hidden-sm hidden-xs <?php if ($search_status != 1){?>no-search<?php } ?>">
                 <?php wp_nav_menu(	array( 'theme_location' => 'main', 'container' => 'div','fallback_cb'  => 'opus_primary_menu_fallback'))?>
            </div>
            <?php if ($search_status == 1){?>
                <div class="col-md-1 hidden-sm hidden-xs search-button">
                    <a href="#" class="search-icon"><i class="fa fa-search" aria-hidden="true"></i></a>
                </div>
            <?php } ?>
             <div class="hidden-md hidden-lg col-sm-12 col-xs-12">
                <nav class="navbar navbar-default mbl-nav">
                    <?php wp_nav_menu(	array( 'theme_location' => 'main', 'menu_class' => 'main-menu', 'container' => 'div', 'container_class' => 'collapse navbar-collapse', 'container_id' => 'main-menu-dropdown' ,'fallback_cb'  => 'opus_primary_menu_fallback'))?>
                </nav>
            </div>
        </div>
    </div>
    </div>
</header>
<!--Header section ends here-->