<?php 
/*
 * Template part for displaying gallery post format
 */
?>
<div class="grid-main-post">
<article <?php post_class("grid-layout");?>> 
<div class="post-content-container">
	<?php /*Extract Post Gallery Images*/ ?>
	<?php $gallery_images = get_gallery_attachments();
	if (!isset($gallery_images) || empty($gallery_images)) { ?>
		<?php /*Post Featured Image*/ ?>
		<?php if (has_post_thumbnail()){ ?>
			<div class="featured-image">
				<?php the_post_thumbnail('full', array('class' => 'img-responsive')); ?>
			</div> 	
		<?php }  ?>
	<?php }  else { ?>
	<?php /*Structure for gallery carousel*/ ?>
	<div class="owl-carousel owl-theme">
	<?php 
		foreach( $gallery_images as $index => $gallery_image ) { ?>
			<div class="item">
				<?php echo wp_get_attachment_image($gallery_image, "full") ?>				
			</div>
	<?php } ?>
    </div>
	<?php }?> 
	<div class="post-spotlight-content col-md-12">
		<ul class="post-meta post-meta-cat">
			<?php if (has_category()) { ?>
			<li><?php echo get_the_category_list(" , "); ?></li>
			<?php } ?>
		</ul>
		<?php /*Post Title*/ ?>
		<?php if ('' != get_the_title()){ 
			if (!is_single()){?>
				<h3 class="post-title"><a href="<?php the_permalink()?>"><?php the_title();?></a></h3>
		<?php } else { ?>
				<h3 class="post-title main-title"><?php the_title();?></h3>
		<?php }
		}?>
		<?php /*Post Meta Data*/ ?>
		<?php if (is_single()){?>
			<ul class="post-meta">
				<li><?php echo get_the_date();?></li>
			</ul>
		<?php } else { ?>
			<ul class="post-meta">
				<li><a href="<?php the_permalink();?>"><?php echo get_the_date();?></a></li>
			</ul>
		<?php } ?>
		<?php /*Post Elements for Individual Post Page*/ ?>
		<?php 
			if ( is_single()) { ?>
				<?php /*Post Content*/ ?>
				<div class="main-content-container">
					<?php the_content(); ?>
				</div>
				<?php /*Post Tags*/ ?>
				<div class="post-tags-container">
					<?php the_tags( '<ul class="tags"><li>', '</li><li>', '</li></ul>' ); ?>
				</div>	
				<?php /*Page Links if applicable*/ ?>
				<div class="page-links">		
					<?php wp_link_pages(array('before' => '<p>', 'next_or_number'=>'next', 'previouspagelink' => ' <span class="prev">&laquo;</span> ', 'nextpagelink'=>' <span class="next">&raquo;</span>')); ?>
				</div>
				<?php /*Post Navigation Links*/ ?>
				<div class="post-navigation">		
					<?php  the_post_navigation(); ?>
				</div>
				<?php /*Post Comments*/ ?>
				<div class="post-comments-container">
				<?php if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				?>
				</div>
			<?php /*Post Elements for Archive*/ ?>
			<?php } else {
				//post excerpt
				the_excerpt(); ?>
	</div>
</div>
	<?php	}	?>
</article>
</div>