<?php
/**
 * The opus recent posts widget.
 *
 */
class Opus_Recent_Posts_Widget extends WP_Widget {
	
	public function __construct() {
		/* Widget options. */
		$widget_options = array(
			'classname'   => 'opus-recent-post-widget',
			'description' => __( 'Extended Version of WordPress Default Recent Post Widget', 'opusfashion'),
			'customize_selective_refresh' => true
		);
		/* Create the widget. */
		parent::__construct(
			'opus_widget',                                                 					
			__( 'Opus Recent Posts', 'opusfashion' ), 		
			$widget_options
		);
	}
	
	/**
	 * Outputs the widget based on the arguments input through the widget controls.
	 */
	public function widget( $args, $instance ) {
		extract( $args );
		$title = $instance[ 'title' ] ? $instance['title'] : __("Recent Posts", "opusfashion");
		$custom_post_args = array(
			'post_type' => 'post',
			'posts_per_page' => $instance[ 'no-of-posts' ] ? $instance['no-of-posts'] : '5' ,
		);
		$post_query = new WP_Query( $custom_post_args );
		// Output the theme's $before_widget wrapper.
		echo $before_widget;
		echo $before_title . $title . $after_title;		
		echo "<ul>";		
			if ( $post_query->have_posts() ) :
				while ($post_query->have_posts()): 
				$post_query->the_post();
					echo '<li>'; 
					echo '<a href="' . get_the_permalink() . '">'; 
					echo get_the_post_thumbnail($post_query->ID, 'full', array('class' => 'img-responsive'));
					echo '<div class="recent-post-content">';
					echo '<h5>' . get_the_title() . '</h5>';
					echo '<span class="date">' . get_the_date() . '</span>';
					echo '</div>';
					echo '</a>';
					echo '</li>';
				endwhile;
				wp_reset_postdata();
			endif;
		echo "</ul>";		
		// Close the theme's widget wrapper.
		echo $after_widget;
	}	
	
	/**
	 * Updates the widget control options for the particular instance of the widget.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
		$instance[ 'no-of-posts' ] = strip_tags( $new_instance[ 'no-of-posts' ] );
		return $instance;
	}
	
	/**
	 * Displays the widget control options in the Widgets admin screen.
	 */
	public function form( $instance ) {
		 $title = ! empty( $instance['title'] ) ? $instance['title'] : ''; 
		 $no_of_posts = ! empty( $instance['no-of-posts'] ) ? $instance['no-of-posts'] : ''; ?>
		  <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" class="widefat" />
		  </p>
  		  <p>
			<label for="<?php echo $this->get_field_id( 'no-of-posts' ); ?>">No. of Posts:</label>
			<input type="text" id="<?php echo $this->get_field_id( 'no-of-posts' ); ?>" name="<?php echo $this->get_field_name( 'no-of-posts' ); ?>" value="<?php echo esc_attr( $no_of_posts ); ?>" class="widefat" />
		  </p>
		  <?php 
	}
}

function opus_recent_post_widget() { 
  	register_widget( 'Opus_Recent_Posts_Widget' );
}
add_action( 'widgets_init', 'opus_recent_post_widget' );